# PulpRpmClient::RepositoriesRpmApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](RepositoriesRpmApi.md#create) | **POST** /pulp/api/v3/repositories/rpm/rpm/ | Create a rpm repository
[**delete**](RepositoriesRpmApi.md#delete) | **DELETE** {rpm_rpm_repository_href} | Delete a rpm repository
[**list**](RepositoriesRpmApi.md#list) | **GET** /pulp/api/v3/repositories/rpm/rpm/ | List rpm repositorys
[**modify**](RepositoriesRpmApi.md#modify) | **POST** {rpm_rpm_repository_href}modify/ | Modify Repository Content
[**partial_update**](RepositoriesRpmApi.md#partial_update) | **PATCH** {rpm_rpm_repository_href} | Update a rpm repository
[**read**](RepositoriesRpmApi.md#read) | **GET** {rpm_rpm_repository_href} | Inspect a rpm repository
[**sync**](RepositoriesRpmApi.md#sync) | **POST** {rpm_rpm_repository_href}sync/ | Sync from remote
[**update**](RepositoriesRpmApi.md#update) | **PUT** {rpm_rpm_repository_href} | Update a rpm repository



## create

> RpmRpmRepositoryResponse create(rpm_rpm_repository)

Create a rpm repository

A ViewSet for RpmRepository.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository = PulpRpmClient::RpmRpmRepository.new # RpmRpmRepository | 

begin
  #Create a rpm repository
  result = api_instance.create(rpm_rpm_repository)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository** | [**RpmRpmRepository**](RpmRpmRepository.md)|  | 

### Return type

[**RpmRpmRepositoryResponse**](RpmRpmRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(rpm_rpm_repository_href)

Delete a rpm repository

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 

begin
  #Delete a rpm repository
  result = api_instance.delete(rpm_rpm_repository_href)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> PaginatedrpmRpmRepositoryResponseList list(opts)

List rpm repositorys

A ViewSet for RpmRepository.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | 
  name__contains: 'name__contains_example', # String | Filter results where name contains value
  name__icontains: 'name__icontains_example', # String | Filter results where name contains value
  name__in: ['name__in_example'], # Array<String> | Filter results where name is in a comma-separated list of values
  name__startswith: 'name__startswith_example', # String | Filter results where name starts with value
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  pulp_label_select: 'pulp_label_select_example', # String | Filter labels by search string
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List rpm repositorys
  result = api_instance.list(opts)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**|  | [optional] 
 **name__contains** | **String**| Filter results where name contains value | [optional] 
 **name__icontains** | **String**| Filter results where name contains value | [optional] 
 **name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where name is in a comma-separated list of values | [optional] 
 **name__startswith** | **String**| Filter results where name starts with value | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **pulp_label_select** | **String**| Filter labels by search string | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedrpmRpmRepositoryResponseList**](PaginatedrpmRpmRepositoryResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## modify

> AsyncOperationResponse modify(rpm_rpm_repository_href, repository_add_remove_content)

Modify Repository Content

Trigger an asynchronous task to create a new repository version.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
repository_add_remove_content = PulpRpmClient::RepositoryAddRemoveContent.new # RepositoryAddRemoveContent | 

begin
  #Modify Repository Content
  result = api_instance.modify(rpm_rpm_repository_href, repository_add_remove_content)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->modify: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **repository_add_remove_content** | [**RepositoryAddRemoveContent**](RepositoryAddRemoveContent.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## partial_update

> AsyncOperationResponse partial_update(rpm_rpm_repository_href, patchedrpm_rpm_repository)

Update a rpm repository

Trigger an asynchronous partial update task

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
patchedrpm_rpm_repository = PulpRpmClient::PatchedrpmRpmRepository.new # PatchedrpmRpmRepository | 

begin
  #Update a rpm repository
  result = api_instance.partial_update(rpm_rpm_repository_href, patchedrpm_rpm_repository)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **patchedrpm_rpm_repository** | [**PatchedrpmRpmRepository**](PatchedrpmRpmRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> RpmRpmRepositoryResponse read(rpm_rpm_repository_href, opts)

Inspect a rpm repository

A ViewSet for RpmRepository.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a rpm repository
  result = api_instance.read(rpm_rpm_repository_href, opts)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**RpmRpmRepositoryResponse**](RpmRpmRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## sync

> AsyncOperationResponse sync(rpm_rpm_repository_href, rpm_repository_sync_url)

Sync from remote

Trigger an asynchronous task to sync RPM content.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
rpm_repository_sync_url = PulpRpmClient::RpmRepositorySyncURL.new # RpmRepositorySyncURL | 

begin
  #Sync from remote
  result = api_instance.sync(rpm_rpm_repository_href, rpm_repository_sync_url)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->sync: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **rpm_repository_sync_url** | [**RpmRepositorySyncURL**](RpmRepositorySyncURL.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## update

> AsyncOperationResponse update(rpm_rpm_repository_href, rpm_rpm_repository)

Update a rpm repository

Trigger an asynchronous update task

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RepositoriesRpmApi.new
rpm_rpm_repository_href = 'rpm_rpm_repository_href_example' # String | 
rpm_rpm_repository = PulpRpmClient::RpmRpmRepository.new # RpmRpmRepository | 

begin
  #Update a rpm repository
  result = api_instance.update(rpm_rpm_repository_href, rpm_rpm_repository)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RepositoriesRpmApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rpm_rpm_repository_href** | **String**|  | 
 **rpm_rpm_repository** | [**RpmRpmRepository**](RpmRpmRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

