# PulpRpmClient::RpmCopyApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**copy_content**](RpmCopyApi.md#copy_content) | **POST** /pulp/api/v3/rpm/copy/ | Copy content



## copy_content

> AsyncOperationResponse copy_content(copy)

Copy content

Trigger an asynchronous task to copy RPM contentfrom one repository into another, creating a newrepository version.

### Example

```ruby
# load the gem
require 'pulp_rpm_client'
# setup authorization
PulpRpmClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpRpmClient::RpmCopyApi.new
copy = PulpRpmClient::Copy.new # Copy | 

begin
  #Copy content
  result = api_instance.copy_content(copy)
  p result
rescue PulpRpmClient::ApiError => e
  puts "Exception when calling RpmCopyApi->copy_content: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **copy** | [**Copy**](Copy.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

