# PulpRpmClient::RpmPackageResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**md5** | **String** | The MD5 checksum if available. | [optional] [readonly] 
**sha1** | **String** | The SHA-1 checksum if available. | [optional] [readonly] 
**sha224** | **String** | The SHA-224 checksum if available. | [optional] [readonly] 
**sha256** | **String** | The SHA-256 checksum if available. | [optional] [readonly] 
**sha384** | **String** | The SHA-384 checksum if available. | [optional] [readonly] 
**sha512** | **String** | The SHA-512 checksum if available. | [optional] [readonly] 
**artifact** | **String** | Artifact file representing the physical content | [optional] 
**name** | **String** | Name of the package | [optional] [readonly] 
**epoch** | **String** | The package&#39;s epoch | [optional] [readonly] 
**version** | **String** | The version of the package. For example, &#39;2.8.0&#39; | [optional] [readonly] 
**release** | **String** | The release of a particular version of the package. e.g. &#39;1.el7&#39; or &#39;3.f24&#39; | [optional] [readonly] 
**arch** | **String** | The target architecture for a package.For example, &#39;x86_64&#39;, &#39;i686&#39;, or &#39;noarch&#39; | [optional] [readonly] 
**pkg_id** | **String** | Checksum of the package file | [optional] [readonly] 
**checksum_type** | **String** | Type of checksum, e.g. &#39;sha256&#39;, &#39;md5&#39; | [optional] [readonly] 
**summary** | **String** | Short description of the packaged software | [optional] [readonly] 
**description** | **String** | In-depth description of the packaged software | [optional] [readonly] 
**url** | **String** | URL with more information about the packaged software | [optional] [readonly] 
**changelogs** | [**Object**](.md) | Changelogs that package contains | [optional] [readonly] 
**files** | [**Object**](.md) | Files that package contains | [optional] [readonly] 
**requires** | [**Object**](.md) | Capabilities the package requires | [optional] [readonly] 
**provides** | [**Object**](.md) | Capabilities the package provides | [optional] [readonly] 
**conflicts** | [**Object**](.md) | Capabilities the package conflicts | [optional] [readonly] 
**obsoletes** | [**Object**](.md) | Capabilities the package obsoletes | [optional] [readonly] 
**suggests** | [**Object**](.md) | Capabilities the package suggests | [optional] [readonly] 
**enhances** | [**Object**](.md) | Capabilities the package enhances | [optional] [readonly] 
**recommends** | [**Object**](.md) | Capabilities the package recommends | [optional] [readonly] 
**supplements** | [**Object**](.md) | Capabilities the package supplements | [optional] [readonly] 
**location_base** | **String** | Base location of this package | [optional] [readonly] 
**location_href** | **String** | Relative location of package to the repodata | [optional] [readonly] 
**rpm_buildhost** | **String** | Hostname of the system that built the package | [optional] [readonly] 
**rpm_group** | **String** | RPM group (See: http://fedoraproject.org/wiki/RPMGroups) | [optional] [readonly] 
**rpm_license** | **String** | License term applicable to the package software (GPLv2, etc.) | [optional] [readonly] 
**rpm_packager** | **String** | Person or persons responsible for creating the package | [optional] [readonly] 
**rpm_sourcerpm** | **String** | Name of the source package (srpm) the package was built from | [optional] [readonly] 
**rpm_vendor** | **String** | Name of the organization that produced the package | [optional] [readonly] 
**rpm_header_start** | **Integer** | First byte of the header | [optional] [readonly] 
**rpm_header_end** | **Integer** | Last byte of the header | [optional] [readonly] 
**is_modular** | **Boolean** | Flag to identify if the package is modular | [optional] [readonly] 
**size_archive** | **Integer** | Size, in bytes, of the archive portion of the original package file | [optional] [readonly] 
**size_installed** | **Integer** | Total size, in bytes, of every file installed by this package | [optional] [readonly] 
**size_package** | **Integer** | Size, in bytes, of the package | [optional] [readonly] 
**time_build** | **Integer** | Time the package was built in seconds since the epoch | [optional] [readonly] 
**time_file** | **Integer** | The &#39;file&#39; time attribute in the primary XML - file mtime in seconds since the epoch. | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmPackageResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 md5: null,
                                 sha1: null,
                                 sha224: null,
                                 sha256: null,
                                 sha384: null,
                                 sha512: null,
                                 artifact: null,
                                 name: null,
                                 epoch: null,
                                 version: null,
                                 release: null,
                                 arch: null,
                                 pkg_id: null,
                                 checksum_type: null,
                                 summary: null,
                                 description: null,
                                 url: null,
                                 changelogs: null,
                                 files: null,
                                 requires: null,
                                 provides: null,
                                 conflicts: null,
                                 obsoletes: null,
                                 suggests: null,
                                 enhances: null,
                                 recommends: null,
                                 supplements: null,
                                 location_base: null,
                                 location_href: null,
                                 rpm_buildhost: null,
                                 rpm_group: null,
                                 rpm_license: null,
                                 rpm_packager: null,
                                 rpm_sourcerpm: null,
                                 rpm_vendor: null,
                                 rpm_header_start: null,
                                 rpm_header_end: null,
                                 is_modular: null,
                                 size_archive: null,
                                 size_installed: null,
                                 size_package: null,
                                 time_build: null,
                                 time_file: null)
```


