# PulpRpmClient::RpmRpmRepositoryResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**versions_href** | **String** |  | [optional] [readonly] 
**pulp_labels** | [**Object**](.md) |  | [optional] 
**latest_version_href** | **String** |  | [optional] [readonly] 
**name** | **String** | A unique name for this repository. | 
**description** | **String** | An optional description. | [optional] 
**retain_repo_versions** | **Integer** | Retain X versions of the repository. Default is null which retains all versions. This is provided as a tech preview in Pulp 3 and may change in the future. | [optional] 
**remote** | **String** | An optional remote to use by default when syncing. | [optional] 
**autopublish** | **Boolean** | Whether to automatically create publications for new repository versions, and update any distributions pointing to this repository. | [optional] [default to false]
**metadata_signing_service** | **String** | A reference to an associated signing service. | [optional] 
**retain_package_versions** | **Integer** | The number of versions of each package to keep in the repository; older versions will be purged. The default is &#39;0&#39;, which will disable this feature and keep all versions of each package. | [optional] 
**metadata_checksum_type** | [**MetadataChecksumTypeEnum**](MetadataChecksumTypeEnum.md) | The checksum type for metadata. | [optional] 
**package_checksum_type** | [**PackageChecksumTypeEnum**](PackageChecksumTypeEnum.md) | The checksum type for packages. | [optional] 
**gpgcheck** | **Integer** | An option specifying whether a client should perform a GPG signature check on packages. | [optional] [default to 0]
**repo_gpgcheck** | **Integer** | An option specifying whether a client should perform a GPG signature check on the repodata. | [optional] [default to 0]
**sqlite_metadata** | **Boolean** | An option specifying whether Pulp should generate SQLite metadata. | [optional] [default to false]

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmRpmRepositoryResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 versions_href: null,
                                 pulp_labels: null,
                                 latest_version_href: null,
                                 name: null,
                                 description: null,
                                 retain_repo_versions: null,
                                 remote: null,
                                 autopublish: null,
                                 metadata_signing_service: null,
                                 retain_package_versions: null,
                                 metadata_checksum_type: null,
                                 package_checksum_type: null,
                                 gpgcheck: null,
                                 repo_gpgcheck: null,
                                 sqlite_metadata: null)
```


