# PulpRpmClient::RpmUpdateRecordResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**id** | **String** | Update id (short update name, e.g. RHEA-2013:1777) | [optional] [readonly] 
**updated_date** | **String** | Date when the update was updated (e.g. &#39;2013-12-02 00:00:00&#39;) | [optional] [readonly] 
**description** | **String** | Update description | [optional] [readonly] 
**issued_date** | **String** | Date when the update was issued (e.g. &#39;2013-12-02 00:00:00&#39;) | [optional] [readonly] 
**fromstr** | **String** | Source of the update (e.g. security@redhat.com) | [optional] [readonly] 
**status** | **String** | Update status (&#39;final&#39;, ...) | [optional] [readonly] 
**title** | **String** | Update name | [optional] [readonly] 
**summary** | **String** | Short summary | [optional] [readonly] 
**version** | **String** | Update version (probably always an integer number) | [optional] [readonly] 
**type** | **String** | Update type (&#39;enhancement&#39;, &#39;bugfix&#39;, ...) | [optional] [readonly] 
**severity** | **String** | Severity | [optional] [readonly] 
**solution** | **String** | Solution | [optional] [readonly] 
**release** | **String** | Update release | [optional] [readonly] 
**rights** | **String** | Copyrights | [optional] [readonly] 
**pushcount** | **String** | Push count | [optional] [readonly] 
**pkglist** | [**Array&lt;RpmUpdateCollectionResponse&gt;**](RpmUpdateCollectionResponse.md) | List of packages | [optional] [readonly] 
**references** | **Array&lt;Object&gt;** | List of references | [optional] [readonly] 
**reboot_suggested** | **Boolean** | Reboot suggested | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmUpdateRecordResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 id: null,
                                 updated_date: null,
                                 description: null,
                                 issued_date: null,
                                 fromstr: null,
                                 status: null,
                                 title: null,
                                 summary: null,
                                 version: null,
                                 type: null,
                                 severity: null,
                                 solution: null,
                                 release: null,
                                 rights: null,
                                 pushcount: null,
                                 pkglist: null,
                                 references: null,
                                 reboot_suggested: null)
```


